> For the complete documentation index, see [llms.txt](https://docs.skyone.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skyone.cloud/api-skyone-autosky/api-clientes/editar-clientes-de-um-ambiente-especifico.md).

# Editar clientes de um ambiente específico

Edita as informações de todos os clientes de um ambiente.

```http
PATCH /clients/?amb_uuid={ambiente_uuid}
```

### Parâmetros de Query

| Parâmetro       | Obrigatório | Descrição        |
| --------------- | ----------- | ---------------- |
| `ambiente_uuid` | Sim         | UUID do ambiente |

### Body da Requisição

| Campo                       | Tipo    | Descrição                                    |
| --------------------------- | ------- | -------------------------------------------- |
| `email_admin`               | string  | Email do administrador do ambiente           |
| `amb_uuid`                  | string  | UUID do ambiente                             |
| `description`               | string  | Informações adicionais do cliente            |
| `block_multiple_session`    | boolean | Ativa/desativa bloqueio de múltiplas sessões |
| `grupo_seguranca`           | string  | Grupo de segurança do AD                     |
| `has_license_limit`         | boolean | Se possui limite de licenças                 |
| `license_limit`             | number  | Número de licenças                           |
| `ad_add_aditional_group`    | string  | Grupo de segurança do AD a vincular          |
| `ad_remove_aditional_group` | string  | Grupo de segurança do AD a desvincular       |

### Resposta

**Status:** `200 OK`

```json
{
  "detail": "Clients updated successfully"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.skyone.cloud/api-skyone-autosky/api-clientes/editar-clientes-de-um-ambiente-especifico.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
